package com.jay.monitor.data.server.daos;

import com.jay.monitor.data.server.models.dto.report.SlowGroupModel;
import com.jay.monitor.data.server.models.entity.JayMonitorUrl;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface JayMonitorUrlMapperExt extends PartitionOperation<JayMonitorUrl> {


    public List<SlowGroupModel> selectByUrlRequestTimeGroupList(@Param("date") String date, @Param("minRequestTime") Integer minRequestTime, @Param("minRequestCount") Integer minRequestCount);

    public List<SlowGroupModel> selectByUrlAvgGroupList(@Param("date") String date, @Param("minRequestTime") Integer minRequestTime, @Param("minRequestCount") Integer minRequestCount);

    public List<SlowGroupModel> selectByUrlCountGroupList(@Param("date") String date);

    public Long selectAllCount(@Param("date") String date);
}