package com.jay.monitor.data.server.factory.callback;

import com.jay.monitor.data.server.enums.DataSplitType;

/**
 * @Module 回调
 * @Description 当标识发生改变回调的标记
 * @Author liukaixiong
 * @Date 2020/11/6 16:09
 */
public interface IdChangeCallback {
    /**
     * 发生改变事件
     *
     * @param splitType
     * @param id
     */
    void onChange(DataSplitType splitType, String id);
}
