package com.jay.monitor.data.server.report;

import com.baomidou.mybatisplus.autoconfigure.MybatisPlusAutoConfiguration;
import com.jay.monitor.data.server.config.BeanConfig;
import com.jay.monitor.data.server.config.MybatisConfig;
import com.jay.monitor.data.server.config.OSSConfig;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.test.context.junit4.SpringRunner;

/**
 * @Module TODO
 * @Description TODO
 * @Author liukaixiong
 * @Date 2020/12/14 15:37
 */
@RunWith(SpringRunner.class)
//@SpringBootTest(classes = { MybatisPlusAutoConfiguration.class, MybatisConfig.class,DayAlertProcess.class, SlowUrlTopReportInvoke.class})
@SpringBootTest(classes = {MybatisConfig.class, MybatisPlusAutoConfiguration.class, OSSConfig.class, BeanConfig.class})
@ComponentScan(basePackages = "com.jay.monitor.data.server.report")
@MapperScan(basePackages = "com.jay.monitor.data.server.daos")
public class DayAlertProcessTest {

    @Autowired
    private DayAlertProcess alertProcess;

    @Test
    public void alert() {
        alertProcess.alert("201209");
    }
}